MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001631ardourotherpublic2007-04-25 05:052013-07-14 17:13
Reporteroofus 
Assigned Tox42 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformDual 666MHz PIIIOSMandrivaOS Version2007
Product Version 
Target Version3.XFixed in Version3.0 
Summary0001631: When locking to MTC, if the MTC generator and Ardour are not locked to the same ref, they drift apart.
DescriptionWhen locking to MTC, if the MTC generator and Ardour are not locked to the same ref, they drift apart. This in itself is not the problem, this could be argued to be expected. The problem as I see it is that Ardour does not give any indication that this is happening. Over a long period the difference between the incoming MTC and Ardours timeline could be significant.

There are possibly two solutions.

1. Ardour slews to track the incoming MTC.

2. Ardour indicates that the timeline and incoming MTC are out of sync. This could be indicated by some flashing indicator and/or a clock to show the difference between the two.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001608closed Lock indication when received MTC is good and being locked to. 
related to 0001775feedback The config option "timecode-source-is-synced" from the ardour.rc file should be exposed to the user as a configurable option. 

-  Notes
(0003955)
oofus (developer)
2007-05-12 14:12

What must be happening at the moment is that Ardour sees the first incoming frame of MTC, uses that as its starting point then moves forward at it's own time line reference, ignoring subsequent incoming MTC.
(0015108)
x42 (administrator)
2013-07-14 17:13

should be fixed in 3.0 (after complete overhaul of MTC slave & generator)

- Issue History
Date Modified Username Field Change
2007-04-25 05:05 oofus New Issue
2007-04-26 14:45 oofus Relationship added related to 0001608
2007-05-12 14:12 oofus Note Added: 0003955
2007-09-05 02:50 oofus Relationship added related to 0001775
2010-07-22 05:29 oofus cost => 0.00
2010-07-22 05:29 oofus Target Version => 3.X
2013-07-14 17:13 x42 Note Added: 0015108
2013-07-14 17:13 x42 Status new => resolved
2013-07-14 17:13 x42 Fixed in Version => 3.0
2013-07-14 17:13 x42 Resolution open => fixed
2013-07-14 17:13 x42 Assigned To => x42
2013-07-14 17:13 x42 Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker